unit Schueler;

interface

type  CSchueler = class(TObject)
  private
  protected
     m_name:string;
     m_klasse:integer;
    { Protected-Deklarationen }
  public
    { Public-Deklarationen }
    constructor create(name:string; klasse:integer);  overload;
    constructor create(sch:CSchueler);                overload;
    destructor  Destroy;                               override;
    procedure   setData(sch:CSchueler);
    function    getKlasse():integer;
    procedure   setKlasse(klasse:integer);
    function    getName():string;
    procedure   setName(name:string);
    function    toString():string;
  published
end;   // CSchueler

implementation

uses SysUtils,
     CBasis;

constructor CSchueler.create(name:string; klasse:integer);
begin
  inherited create;
  self.m_name:=name;
  self.m_klasse:=klasse;
end;

constructor CSchueler.create(sch:CSchueler);
begin
  inherited create;
  self.m_name:=sch.m_name;
  self.m_klasse:=sch.m_klasse;
end;

procedure CSchueler.setData(sch:CSchueler);
begin
  self.m_name:=sch.m_name;
  self.m_klasse:=sch.m_klasse;
end;

destructor CSchueler.Destroy;
begin
  inherited Destroy;
end;

function    CSchueler.getKlasse():integer;
begin
  result := m_klasse;
end;

procedure   CSchueler.setKlasse(klasse:integer);
begin
  if ((klasse > 0) AND (klasse < 14)) then
  begin
    self.m_klasse:=m_klasse;
  end
  else
  begin
    ErrorBox('Setzen einer Klasse','Fehler in Modul CSchueler,' + NL+
                  'Methode setKJlasse, Klasse: '+IntToStr(klasse) );

  end
end;


function    CSchueler.getName():string;
begin
  result := m_name;
end;

procedure   CSchueler.setName(name:string);
begin
  self.m_name:=name;
end;

function CSchueler.toString():string;
begin
  result :='Name : ' + m_name+  '    Klasse: ' + IntToStr(m_klasse);
end;

end.
